td{
  white-space:nowrap;
  overflow:hidden;
  text-overflow:ellipsis;
  word-wrap: break-word;
  max-width: 8rem;
}

:host ::ng-deep {
  // table {
  //   table-layout:fixed;
  // }
  .p-datatable-wrapper {
    max-height: 80vh;
    min-height: 80vh;
  }

  .p-card {
    // margin: 10px 0px;
    margin-bottom: 1rem;

  }

  .p-card-content {
    max-height: 40vh;
    // min-height: 40vh;
    overflow: scroll;
  }
}

.posts-actions {
  max-width: unset;
  padding-left: 4px !important;
}

.posts-container {
  max-height: 80vh;
  min-height: 80vh;
  overflow: scroll;
}

.post-text {
 margin: 0;
 white-space-collapse: preserve;
}

.new-post-container {
  margin-bottom: 1rem;
}



.viewport {
  height: 80vh;
}